#define false 0
#define true 1

#include <stdlib.h>
#include <stdio.h>
#include <SDL2/SDL.h>
#include <time.h>
#include "affichage.h"

int recupere_niveau(int *tab[200]){

    FILE* fichier = NULL;
    int caractereActuel = 0;
    int i=0;
    fichier = fopen("niveau.txt", "r");
    if (fichier != NULL)
    {
        do
        {

            caractereActuel = fgetc(fichier);
            tab[i]=(caractereActuel);
            i++;
        } while (caractereActuel != EOF);

    }

    fclose(fichier);
}

void recupere_score()
{
    FILE* fichier = NULL;
    int caractereActuel = 0;
    fichier = fopen("save.txt", "r");

    if (fichier != NULL)
    {
        do
        {
            caractereActuel = fgetc(fichier);
            printf("%c", caractereActuel);
        } while (caractereActuel != EOF);

        fclose(fichier);
    }
}

void aleatoire (int *nb, int *nb_rand_min, int *nb_rand_max)
{
    srand(time(NULL));
    *nb = (rand() % (*nb_rand_max - *nb_rand_min +1)) + *nb_rand_min;

}
